<template>
    <header id="header" class="h-20 flex flex-row place-content-between px-64 fixed top-0 w-full  bg-black">
        <div class="h-full">
            <img h src="/images/Logo_light.svg">
        </div>
        <div>
            <ul class="flex flex-row h-full place-content-center py-4 text-xl">
                <li v-for="page in pages">
                    <button class="px-3 h-full hover:text-blue-300 text-white font-bold">
                        {{page.name}}
                    </button>
                </li>
            </ul>
        </div>
    </header>
</template>

<script setup>
    const pages = [
        {
            "name": "Home",
            "link": "#",
            "target": "#"
        },
        {
            "name": "About",
            "link": "#",
            "target": ""
        },
        {
            "name": "Portfolio",
            "link": "#"
        },
        {
            "name": "Experiences",
            "link": "#"
        },
        {
            "name": "Others",
            "link": "#"
        }
    ]
</script>
